toolzerhub API Docs

Get pin details

Get a public pin's media, board, creator, description, and available shopping data.

1 credit / requestBilled only on success
GET
/v2/pinterest/pins/detail

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

pin_id_or_url*string

Pinterest numeric pin ID or full pinterest.com pin URL.

Length1 <= length
curl -X GET "https://example.com/v2/pinterest/pins/detail?pin_id_or_url=https%3A%2F%2Fwww.pinterest.com%2Fpin%2F1136384918502158229%2F" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "entity_id": "1136384918502158229",    "description": "Sometimes the most productive moments begin with slowing down...",    "grid_title": "Coffee, Calm & Quiet Moments",    "dominant_color": "#4a311b",    "is_video": false,    "image_url": "https://i.pinimg.com/originals/93/dd/2b/93dd2bdddfb220ed48829dc7269d66aa.jpg"  }}